# Chain Class Reference

A Chain object represents a chain within a Topology. More...

List of all members.

## Public Member Functions

def | __init__
| Construct a new Chain.
def | residues
| Iterate over all Residues in the Chain.
def | atoms
| Iterate over all Atoms in the Chain.

## Public Attributes

| index
| The index of the Chain within its Topology.
| topology
| The Topology this Chain belongs to.

## Detailed Description

A Chain object represents a chain within a Topology.

## Member Function Documentation

def __init__ | ( |  | self,
|  |  | index,
|  |  | topology |
| ) |  |  |

Construct a new Chain.

You should call addChain() on the Topology instead of calling this directly.

def atoms | ( |  | self | ) |

Iterate over all Atoms in the Chain.

def residues | ( |  | self | ) |

Iterate over all Residues in the Chain.

## Member Data Documentation

index

The index of the Chain within its Topology.

topology

The Topology this Chain belongs to.

The documentation for this class was generated from the following file:

- topology.py